View Issue Details

IDProjectCategoryView StatusLast Update
14081Bug reports[All Projects] Survey participants (Tokens)public2019-04-30 09:10
Reporterjelo Assigned Tomarkusfluer  
PriorityurgentSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.16.x 
Summary14081: Save button on the "Add participants" window not working.
Description

It is not possible to save (no trigger) the window of the "Add participant"

Additional Information

https://www.limesurvey.org/forum/installation-a-update-issues/116461-add-participant-not-saving-after-update

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.9+180917
I will donate to the project if issue is resolvedNo
BrowserFirefox 62.
Database & DB-VersionMySQL
Server OS (if known)CentOS 7
Webserver software & version (if known)Apache 2.4.X
PHP Version7.2.X

Relationships

has duplicate 14089 closedmarkusfluer Cannot add participants, no save-action after click on button "Save" 

Activities

pasglop

pasglop

2018-09-20 15:34

reporter   ~49104

i have the same problem.
After upgrade from version 3.14.5 to 3.14.9+180917, I can't add any participants :
Add participant > new participant's form > I complete Name, First name, Email
then when i want "Save": nothing happens at all... (no data sent to the server, no error message).
(Firefox, Chrome)
ok with dummy participant

Mazi

Mazi

2018-09-24 08:50

partner   ~49114

Same issue here...
Please fix this urgently, it is causing quite some trouble for LOTS of users.

DenisChenu

DenisChenu

2018-09-24 09:20

developer   ~49115

Same issue (on master of today), OK in Version 3.14.8

markusfluer

markusfluer

2018-09-25 15:16

administrator   ~49122

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28005

user70560

2018-09-25 15:54

  ~49125

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28007

pasglop

pasglop

2018-09-25 18:36

reporter   ~49127

Thanks a lot !!!!!

ps : mod - application/views/admin/token/tokenform.php
line 409 :
var_dump($token_subaction);

Related Changesets

LimeSurvey: master 2192825a

2018-09-25 15:01:34

markusfluer

Details Diff
Fixed issue 14081: Save button on the "Add participants" window not working. Affected Issues
14081
mod - application/controllers/admin/tokens.php Diff File
mod - application/views/admin/token/tokenform.php Diff File

LimeSurvey: develop 165703c0

2018-09-25 15:54:04

user70560


Committer: GitHub Details Diff
Dev: Simple merge with github (#1132)

Fixed issue 14081: Save button on the "Add participants" window not working.
Dev: move Simple plugins in menu directly
Affected Issues
14081
mod - application/controllers/admin/tokens.php Diff File
mod - application/core/LsDefaultDataSets.php Diff File
mod - application/views/admin/token/tokenform.php Diff File

Issue History

Date Modified Username Field Change
2018-09-19 17:35 jelo New Issue
2018-09-20 00:32 jelo Assigned To => markusfluer
2018-09-20 00:32 jelo Status new => assigned
2018-09-20 15:34 pasglop Note Added: 49104
2018-09-24 08:50 Mazi Note Added: 49114
2018-09-24 09:20 DenisChenu Note Added: 49115
2018-09-24 14:10 jelo Relationship added has duplicate 14089
2018-09-25 14:43 c_schmitz Assigned To markusfluer => LouisGac
2018-09-25 14:44 c_schmitz Priority none => urgent
2018-09-25 14:46 c_schmitz Assigned To LouisGac => markusfluer
2018-09-25 15:16 markusfluer Changeset attached => LimeSurvey master 2192825a
2018-09-25 15:16 markusfluer Note Added: 49122
2018-09-25 15:16 markusfluer Resolution open => fixed
2018-09-25 15:33 markusfluer Status assigned => resolved
2018-09-25 15:33 markusfluer Fixed in Version => 3.16.x
2018-09-25 15:54 user70560 Changeset attached => LimeSurvey develop 165703c0
2018-09-25 15:54 user70560 Note Added: 49125
2018-09-25 18:36 pasglop Note Added: 49127
2019-04-30 09:10 c_schmitz Status resolved => closed